Changes for kernel and Busybox
[tomato.git] / release / src / router / lzo / config.status
blobe16c726ee034d532a1689c62d92a7fe4e2712371
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization. ##
13 ## --------------------- ##
15 # Be Bourne compatible
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17 emulate sh
18 NULLCMD=:
19 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20 # is contrary to our usage. Disable this feature.
21 alias -g '${1+"$@"}'='"$@"'
22 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23 set -o posix
25 DUALCASE=1; export DUALCASE # for MKS sh
27 # Support unset when possible.
28 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29 as_unset=unset
30 else
31 as_unset=false
35 # Work around bugs in pre-3.0 UWIN ksh.
36 $as_unset ENV MAIL MAILPATH
37 PS1='$ '
38 PS2='> '
39 PS4='+ '
41 # NLS nuisances.
42 for as_var in \
43 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45 LC_TELEPHONE LC_TIME
47 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48 eval $as_var=C; export $as_var
49 else
50 $as_unset $as_var
52 done
54 # Required to use basename.
55 if expr a : '\(a\)' >/dev/null 2>&1; then
56 as_expr=expr
57 else
58 as_expr=false
61 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62 as_basename=basename
63 else
64 as_basename=false
68 # Name of the executable.
69 as_me=`$as_basename "$0" ||
70 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71 X"$0" : 'X\(//\)$' \| \
72 X"$0" : 'X\(/\)$' \| \
73 . : '\(.\)' 2>/dev/null ||
74 echo X/"$0" |
75 sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76 /^X\/\(\/\/\)$/{ s//\1/; q; }
77 /^X\/\(\/\).*/{ s//\1/; q; }
78 s/.*/./; q'`
81 # PATH needs CR, and LINENO needs CR and PATH.
82 # Avoid depending upon Character Ranges.
83 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86 as_cr_digits='0123456789'
87 as_cr_alnum=$as_cr_Letters$as_cr_digits
89 # The user is always right.
90 if test "${PATH_SEPARATOR+set}" != set; then
91 echo "#! /bin/sh" >conf$$.sh
92 echo "exit 0" >>conf$$.sh
93 chmod +x conf$$.sh
94 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95 PATH_SEPARATOR=';'
96 else
97 PATH_SEPARATOR=:
99 rm -f conf$$.sh
103 as_lineno_1=$LINENO
104 as_lineno_2=$LINENO
105 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106 test "x$as_lineno_1" != "x$as_lineno_2" &&
107 test "x$as_lineno_3" = "x$as_lineno_2" || {
108 # Find who we are. Look in the path if we contain no path at all
109 # relative or not.
110 case $0 in
111 *[\\/]* ) as_myself=$0 ;;
112 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113 for as_dir in $PATH
115 IFS=$as_save_IFS
116 test -z "$as_dir" && as_dir=.
117 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118 done
121 esac
122 # We did not find ourselves, most probably we were run as `sh COMMAND'
123 # in which case we are not to be found in the path.
124 if test "x$as_myself" = x; then
125 as_myself=$0
127 if test ! -f "$as_myself"; then
128 { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130 { (exit 1); exit 1; }; }
132 case $CONFIG_SHELL in
134 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
137 IFS=$as_save_IFS
138 test -z "$as_dir" && as_dir=.
139 for as_base in sh bash ksh sh5; do
140 case $as_dir in
142 if ("$as_dir/$as_base" -c '
143 as_lineno_1=$LINENO
144 as_lineno_2=$LINENO
145 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146 test "x$as_lineno_1" != "x$as_lineno_2" &&
147 test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then
148 $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149 $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150 CONFIG_SHELL=$as_dir/$as_base
151 export CONFIG_SHELL
152 exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153 fi;;
154 esac
155 done
156 done
158 esac
160 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161 # uniformly replaced by the line number. The first 'sed' inserts a
162 # line-number line before each line; the second 'sed' does the real
163 # work. The second script uses 'N' to pair each line-number line
164 # with the numbered line, and appends trailing '-' during
165 # substitution so that $LINENO is not a special case at line end.
166 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167 # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
168 sed '=' <$as_myself |
169 sed '
171 s,$,-,
172 : loop
173 s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174 t loop
175 s,-$,,
176 s,^['$as_cr_digits']*\n,,
177 ' >$as_me.lineno &&
178 chmod +x $as_me.lineno ||
179 { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181 { (exit 1); exit 1; }; }
183 # Don't try to exec as it changes $[0], causing all sort of problems
184 # (the dirname of $[0] is not the place where we might find the
185 # original and so on. Autoconf is especially sensible to this).
186 . ./$as_me.lineno
187 # Exit status is that of the last command.
188 exit
192 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193 *c*,-n*) ECHO_N= ECHO_C='
194 ' ECHO_T=' ' ;;
195 *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196 *) ECHO_N= ECHO_C='\c' ECHO_T= ;;
197 esac
199 if expr a : '\(a\)' >/dev/null 2>&1; then
200 as_expr=expr
201 else
202 as_expr=false
205 rm -f conf$$ conf$$.exe conf$$.file
206 echo >conf$$.file
207 if ln -s conf$$.file conf$$ 2>/dev/null; then
208 # We could just check for DJGPP; but this test a) works b) is more generic
209 # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210 if test -f conf$$.exe; then
211 # Don't use ln at all; we don't have any links
212 as_ln_s='cp -p'
213 else
214 as_ln_s='ln -s'
216 elif ln conf$$.file conf$$ 2>/dev/null; then
217 as_ln_s=ln
218 else
219 as_ln_s='cp -p'
221 rm -f conf$$ conf$$.exe conf$$.file
223 if mkdir -p . 2>/dev/null; then
224 as_mkdir_p=:
225 else
226 test -d ./-p && rmdir ./-p
227 as_mkdir_p=false
230 as_executable_p="test -f"
232 # Sed expression to map a string onto a valid CPP name.
233 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
235 # Sed expression to map a string onto a valid variable name.
236 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
239 # IFS
240 # We need space, tab and new line, in precisely that order.
241 as_nl='
243 IFS=" $as_nl"
245 # CDPATH.
246 $as_unset CDPATH
248 exec 6>&1
250 # Open the log real soon, to keep \$[0] and so on meaningful, and to
251 # report actual input values of CONFIG_FILES etc. instead of their
252 # values after options handling. Logging --version etc. is OK.
253 exec 5>>config.log
255 echo
256 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257 ## Running $as_me. ##
258 _ASBOX
259 } >&5
260 cat >&5 <<_CSEOF
262 This file was extended by lzo $as_me 2.03, which was
263 generated by GNU Autoconf 2.59. Invocation command line was
265 CONFIG_FILES = $CONFIG_FILES
266 CONFIG_HEADERS = $CONFIG_HEADERS
267 CONFIG_LINKS = $CONFIG_LINKS
268 CONFIG_COMMANDS = $CONFIG_COMMANDS
269 $ $0 $@
271 _CSEOF
272 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273 echo >&5
274 config_files=" Makefile examples/Makefile include/Makefile include/lzo/Makefile lzotest/Makefile minilzo/Makefile src/Makefile tests/Makefile"
275 config_headers=" config.h:config.hin"
276 config_commands=" depfiles"
278 ac_cs_usage="\
279 \`$as_me' instantiates files from templates according to the
280 current configuration.
282 Usage: $0 [OPTIONS] [FILE]...
284 -h, --help print this help, then exit
285 -V, --version print version number, then exit
286 -q, --quiet do not print progress messages
287 -d, --debug don't remove temporary files
288 --recheck update $as_me by reconfiguring in the same conditions
289 --file=FILE[:TEMPLATE]
290 instantiate the configuration file FILE
291 --header=FILE[:TEMPLATE]
292 instantiate the configuration header FILE
294 Configuration files:
295 $config_files
297 Configuration headers:
298 $config_headers
300 Configuration commands:
301 $config_commands
303 Report bugs to <bug-autoconf@gnu.org>."
304 ac_cs_version="\
305 lzo config.status 2.03
306 configured by ./configure, generated by GNU Autoconf 2.59,
307 with options \"'--host=mipsel-linux' 'CFLAGS=-mips2 -O3 -Wall' '--enable-shared' 'CC=mipsel-uclibc-gcc' 'host_alias=mipsel-linux'\"
309 Copyright (C) 2003 Free Software Foundation, Inc.
310 This config.status script is free software; the Free Software Foundation
311 gives unlimited permission to copy, distribute and modify it."
312 srcdir=.
313 INSTALL="/usr/bin/install -c"
314 # If no file are specified by the user, then we need to provide default
315 # value. By we need to know if files were specified by the user.
316 ac_need_defaults=:
317 while test $# != 0
319 case $1 in
320 --*=*)
321 ac_option=`expr "x$1" : 'x\([^=]*\)='`
322 ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
323 ac_shift=:
326 ac_option=$1
327 ac_optarg=$2
328 ac_shift=shift
330 *) # This is not an option, so the user has probably given explicit
331 # arguments.
332 ac_option=$1
333 ac_need_defaults=false;;
334 esac
336 case $ac_option in
337 # Handling of the options.
338 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
339 ac_cs_recheck=: ;;
340 --version | --vers* | -V )
341 echo "$ac_cs_version"; exit 0 ;;
342 --he | --h)
343 # Conflict between --help and --header
344 { { echo "$as_me:$LINENO: error: ambiguous option: $1
345 Try \`$0 --help' for more information." >&5
346 echo "$as_me: error: ambiguous option: $1
347 Try \`$0 --help' for more information." >&2;}
348 { (exit 1); exit 1; }; };;
349 --help | --hel | -h )
350 echo "$ac_cs_usage"; exit 0 ;;
351 --debug | --d* | -d )
352 debug=: ;;
353 --file | --fil | --fi | --f )
354 $ac_shift
355 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
356 ac_need_defaults=false;;
357 --header | --heade | --head | --hea )
358 $ac_shift
359 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
360 ac_need_defaults=false;;
361 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
362 | -silent | --silent | --silen | --sile | --sil | --si | --s)
363 ac_cs_silent=: ;;
365 # This is an error.
366 -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
367 Try \`$0 --help' for more information." >&5
368 echo "$as_me: error: unrecognized option: $1
369 Try \`$0 --help' for more information." >&2;}
370 { (exit 1); exit 1; }; } ;;
372 *) ac_config_targets="$ac_config_targets $1" ;;
374 esac
375 shift
376 done
378 ac_configure_extra_args=
380 if $ac_cs_silent; then
381 exec 6>/dev/null
382 ac_configure_extra_args="$ac_configure_extra_args --silent"
385 if $ac_cs_recheck; then
386 echo "running /bin/sh ./configure " '--host=mipsel-linux' 'CFLAGS=-mips2 -O3 -Wall' '--enable-shared' 'CC=mipsel-uclibc-gcc' 'host_alias=mipsel-linux' $ac_configure_extra_args " --no-create --no-recursion" >&6
387 exec /bin/sh ./configure '--host=mipsel-linux' 'CFLAGS=-mips2 -O3 -Wall' '--enable-shared' 'CC=mipsel-uclibc-gcc' 'host_alias=mipsel-linux' $ac_configure_extra_args --no-create --no-recursion
391 # INIT-COMMANDS section.
394 AMDEP_TRUE="" ac_aux_dir="autoconf"
396 for ac_config_target in $ac_config_targets
398 case "$ac_config_target" in
399 # Handling of arguments.
400 "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
401 "examples/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/Makefile" ;;
402 "include/Makefile" ) CONFIG_FILES="$CONFIG_FILES include/Makefile" ;;
403 "include/lzo/Makefile" ) CONFIG_FILES="$CONFIG_FILES include/lzo/Makefile" ;;
404 "lzotest/Makefile" ) CONFIG_FILES="$CONFIG_FILES lzotest/Makefile" ;;
405 "minilzo/Makefile" ) CONFIG_FILES="$CONFIG_FILES minilzo/Makefile" ;;
406 "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
407 "tests/Makefile" ) CONFIG_FILES="$CONFIG_FILES tests/Makefile" ;;
408 "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
409 "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h:config.hin" ;;
410 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
411 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
412 { (exit 1); exit 1; }; };;
413 esac
414 done
416 # If the user did not use the arguments to specify the items to instantiate,
417 # then the envvar interface is used. Set only those that are not.
418 # We use the long form for the default assignment because of an extremely
419 # bizarre bug on SunOS 4.1.3.
420 if $ac_need_defaults; then
421 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
422 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
423 test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
426 # Have a temporary directory for convenience. Make it in the build tree
427 # simply because there is no reason to put it here, and in addition,
428 # creating and moving files from /tmp can sometimes cause problems.
429 # Create a temporary directory, and hook for its removal unless debugging.
430 $debug ||
432 trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
433 trap '{ (exit 1); exit 1; }' 1 2 13 15
436 # Create a (secure) tmp directory for tmp files.
439 tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
440 test -n "$tmp" && test -d "$tmp"
441 } ||
443 tmp=./confstat$$-$RANDOM
444 (umask 077 && mkdir $tmp)
445 } ||
447 echo "$me: cannot create a temporary directory in ." >&2
448 { (exit 1); exit 1; }
453 # CONFIG_FILES section.
456 # No need to generate the scripts if there are no CONFIG_FILES.
457 # This happens for instance when ./config.status config.h
458 if test -n "$CONFIG_FILES"; then
459 # Protect against being on the right side of a sed subst in config.status.
460 sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
461 s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
462 s,@SHELL@,/bin/sh,;t t
463 s,@PATH_SEPARATOR@,:,;t t
464 s,@PACKAGE_NAME@,lzo,;t t
465 s,@PACKAGE_TARNAME@,lzo,;t t
466 s,@PACKAGE_VERSION@,2.03,;t t
467 s,@PACKAGE_STRING@,lzo 2.03,;t t
468 s,@PACKAGE_BUGREPORT@,markus@oberhumer.com,;t t
469 s,@exec_prefix@,${prefix},;t t
470 s,@prefix@,/usr/local,;t t
471 s,@program_transform_name@,s,x,x,,;t t
472 s,@bindir@,${exec_prefix}/bin,;t t
473 s,@sbindir@,${exec_prefix}/sbin,;t t
474 s,@libexecdir@,${exec_prefix}/libexec,;t t
475 s,@datadir@,${prefix}/share,;t t
476 s,@sysconfdir@,${prefix}/etc,;t t
477 s,@sharedstatedir@,${prefix}/com,;t t
478 s,@localstatedir@,${prefix}/var,;t t
479 s,@libdir@,${exec_prefix}/lib,;t t
480 s,@includedir@,${prefix}/include,;t t
481 s,@oldincludedir@,/usr/include,;t t
482 s,@infodir@,${prefix}/info,;t t
483 s,@mandir@,${prefix}/man,;t t
484 s,@build_alias@,,;t t
485 s,@host_alias@,mipsel-linux,;t t
486 s,@target_alias@,,;t t
487 s,@DEFS@,-DHAVE_CONFIG_H,;t t
488 s,@ECHO_C@,,;t t
489 s,@ECHO_N@,-n,;t t
490 s,@ECHO_T@,,;t t
491 s,@LIBS@,,;t t
492 s,@build@,i686-pc-linux-gnu,;t t
493 s,@build_cpu@,i686,;t t
494 s,@build_vendor@,pc,;t t
495 s,@build_os@,linux-gnu,;t t
496 s,@host@,mipsel-unknown-linux-gnu,;t t
497 s,@host_cpu@,mipsel,;t t
498 s,@host_vendor@,unknown,;t t
499 s,@host_os@,linux-gnu,;t t
500 s,@target@,mipsel-unknown-linux-gnu,;t t
501 s,@target_cpu@,mipsel,;t t
502 s,@target_vendor@,unknown,;t t
503 s,@target_os@,linux-gnu,;t t
504 s,@MAINTAINER_MODE_TRUE@,#,;t t
505 s,@MAINTAINER_MODE_FALSE@,,;t t
506 s,@MAINT@,#,;t t
507 s,@CC@,mipsel-uclibc-gcc,;t t
508 s,@CFLAGS@,-mips2 -O3 -Wall,;t t
509 s,@LDFLAGS@,,;t t
510 s,@CPPFLAGS@,-DLZO_HAVE_CONFIG_H,;t t
511 s,@ac_ct_CC@,,;t t
512 s,@EXEEXT@,,;t t
513 s,@OBJEXT@,o,;t t
514 s,@CPP@,mipsel-uclibc-gcc -E,;t t
515 s,@INSTALL_PROGRAM@,${INSTALL},;t t
516 s,@INSTALL_SCRIPT@,${INSTALL},;t t
517 s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
518 s,@CYGPATH_W@,echo,;t t
519 s,@PACKAGE@,lzo,;t t
520 s,@VERSION@,2.03,;t t
521 s,@ACLOCAL@,${SHELL} /home/keith/firmware/release/src/router/lzo/autoconf/missing --run aclocal-1.9,;t t
522 s,@AUTOCONF@,${SHELL} /home/keith/firmware/release/src/router/lzo/autoconf/missing --run autoconf,;t t
523 s,@AUTOMAKE@,${SHELL} /home/keith/firmware/release/src/router/lzo/autoconf/missing --run automake-1.9,;t t
524 s,@AUTOHEADER@,${SHELL} /home/keith/firmware/release/src/router/lzo/autoconf/missing --run autoheader,;t t
525 s,@MAKEINFO@,${SHELL} /home/keith/firmware/release/src/router/lzo/autoconf/missing --run makeinfo,;t t
526 s,@install_sh@,/home/keith/firmware/release/src/router/lzo/autoconf/install-sh,;t t
527 s,@STRIP@,mipsel-uclibc-strip,;t t
528 s,@ac_ct_STRIP@,,;t t
529 s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
530 s,@mkdir_p@,mkdir -p --,;t t
531 s,@AWK@,mawk,;t t
532 s,@SET_MAKE@,,;t t
533 s,@am__leading_dot@,.,;t t
534 s,@AMTAR@,${SHELL} /home/keith/firmware/release/src/router/lzo/autoconf/missing --run tar,;t t
535 s,@am__tar@,${AMTAR} chof - "$$tardir",;t t
536 s,@am__untar@,${AMTAR} xf -,;t t
537 s,@DEPDIR@,.deps,;t t
538 s,@am__include@,include,;t t
539 s,@am__quote@,,;t t
540 s,@AMDEP_TRUE@,,;t t
541 s,@AMDEP_FALSE@,#,;t t
542 s,@AMDEPBACKSLASH@,\,;t t
543 s,@CCDEPMODE@,depmode=gcc3,;t t
544 s,@am__fastdepCC_TRUE@,,;t t
545 s,@am__fastdepCC_FALSE@,#,;t t
546 s,@EGREP@,grep -E,;t t
547 s,@LN_S@,ln -s,;t t
548 s,@ECHO@,echo,;t t
549 s,@AR@,mipsel-uclibc-ar,;t t
550 s,@ac_ct_AR@,,;t t
551 s,@RANLIB@,mipsel-uclibc-ranlib,;t t
552 s,@ac_ct_RANLIB@,,;t t
553 s,@CXX@,mipsel-linux-g++,;t t
554 s,@CXXFLAGS@,-g -O2,;t t
555 s,@ac_ct_CXX@,,;t t
556 s,@CXXDEPMODE@,depmode=gcc3,;t t
557 s,@am__fastdepCXX_TRUE@,,;t t
558 s,@am__fastdepCXX_FALSE@,#,;t t
559 s,@CXXCPP@,mipsel-linux-g++ -E,;t t
560 s,@F77@,,;t t
561 s,@FFLAGS@,,;t t
562 s,@ac_ct_F77@,,;t t
563 s,@LIBTOOL@,$(SHELL) $(top_builddir)/libtool,;t t
564 s,@LZO_USE_ASM_TRUE@,#,;t t
565 s,@LZO_USE_ASM_FALSE@,,;t t
566 s,@LZO_ASM_VPATH@,,;t t
567 s,@LZO_CPPFLAGS@,,;t t
568 s,@LZO_EXTRA_CPPFLAGS@,,;t t
569 s,@LZO_CFLAGS@,,;t t
570 s,@LZO_EXTRA_CFLAGS@,,;t t
571 s,@configure_CPPFLAGS@,-DLZO_HAVE_CONFIG_H,;t t
572 s,@configure_CFLAGS@,-mips2 -O3 -Wall,;t t
573 s,@LIBOBJS@,,;t t
574 s,@LTLIBOBJS@,,;t t
575 CEOF
577 # Split the substitutions into bite-sized pieces for seds with
578 # small command number limits, like on Digital OSF/1 and HP-UX.
579 ac_max_sed_lines=48
580 ac_sed_frag=1 # Number of current file.
581 ac_beg=1 # First line for current file.
582 ac_end=$ac_max_sed_lines # Line after last line for current file.
583 ac_more_lines=:
584 ac_sed_cmds=
585 while $ac_more_lines; do
586 if test $ac_beg -gt 1; then
587 sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
588 else
589 sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
591 if test ! -s $tmp/subs.frag; then
592 ac_more_lines=false
593 else
594 # The purpose of the label and of the branching condition is to
595 # speed up the sed processing (if there are no `@' at all, there
596 # is no need to browse any of the substitutions).
597 # These are the two extra sed commands mentioned above.
598 (echo ':t
599 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
600 if test -z "$ac_sed_cmds"; then
601 ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
602 else
603 ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
605 ac_sed_frag=`expr $ac_sed_frag + 1`
606 ac_beg=$ac_end
607 ac_end=`expr $ac_end + $ac_max_sed_lines`
609 done
610 if test -z "$ac_sed_cmds"; then
611 ac_sed_cmds=cat
613 fi # test -n "$CONFIG_FILES"
615 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
616 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
617 case $ac_file in
618 - | *:- | *:-:* ) # input from stdin
619 cat >$tmp/stdin
620 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
621 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
622 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
623 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
624 * ) ac_file_in=$ac_file.in ;;
625 esac
627 # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
628 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
629 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
630 X"$ac_file" : 'X\(//\)[^/]' \| \
631 X"$ac_file" : 'X\(//\)$' \| \
632 X"$ac_file" : 'X\(/\)' \| \
633 . : '\(.\)' 2>/dev/null ||
634 echo X"$ac_file" |
635 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
636 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
637 /^X\(\/\/\)$/{ s//\1/; q; }
638 /^X\(\/\).*/{ s//\1/; q; }
639 s/.*/./; q'`
640 { if $as_mkdir_p; then
641 mkdir -p "$ac_dir"
642 else
643 as_dir="$ac_dir"
644 as_dirs=
645 while test ! -d "$as_dir"; do
646 as_dirs="$as_dir $as_dirs"
647 as_dir=`(dirname "$as_dir") 2>/dev/null ||
648 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
649 X"$as_dir" : 'X\(//\)[^/]' \| \
650 X"$as_dir" : 'X\(//\)$' \| \
651 X"$as_dir" : 'X\(/\)' \| \
652 . : '\(.\)' 2>/dev/null ||
653 echo X"$as_dir" |
654 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
655 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
656 /^X\(\/\/\)$/{ s//\1/; q; }
657 /^X\(\/\).*/{ s//\1/; q; }
658 s/.*/./; q'`
659 done
660 test ! -n "$as_dirs" || mkdir $as_dirs
661 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
662 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
663 { (exit 1); exit 1; }; }; }
665 ac_builddir=.
667 if test "$ac_dir" != .; then
668 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
669 # A "../" for each directory in $ac_dir_suffix.
670 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
671 else
672 ac_dir_suffix= ac_top_builddir=
675 case $srcdir in
676 .) # No --srcdir option. We are building in place.
677 ac_srcdir=.
678 if test -z "$ac_top_builddir"; then
679 ac_top_srcdir=.
680 else
681 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
682 fi ;;
683 [\\/]* | ?:[\\/]* ) # Absolute path.
684 ac_srcdir=$srcdir$ac_dir_suffix;
685 ac_top_srcdir=$srcdir ;;
686 *) # Relative path.
687 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
688 ac_top_srcdir=$ac_top_builddir$srcdir ;;
689 esac
691 # Do not use `cd foo && pwd` to compute absolute paths, because
692 # the directories may not exist.
693 case `pwd` in
694 .) ac_abs_builddir="$ac_dir";;
696 case "$ac_dir" in
697 .) ac_abs_builddir=`pwd`;;
698 [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
699 *) ac_abs_builddir=`pwd`/"$ac_dir";;
700 esac;;
701 esac
702 case $ac_abs_builddir in
703 .) ac_abs_top_builddir=${ac_top_builddir}.;;
705 case ${ac_top_builddir}. in
706 .) ac_abs_top_builddir=$ac_abs_builddir;;
707 [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
708 *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
709 esac;;
710 esac
711 case $ac_abs_builddir in
712 .) ac_abs_srcdir=$ac_srcdir;;
714 case $ac_srcdir in
715 .) ac_abs_srcdir=$ac_abs_builddir;;
716 [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
717 *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
718 esac;;
719 esac
720 case $ac_abs_builddir in
721 .) ac_abs_top_srcdir=$ac_top_srcdir;;
723 case $ac_top_srcdir in
724 .) ac_abs_top_srcdir=$ac_abs_builddir;;
725 [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
726 *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
727 esac;;
728 esac
731 case $INSTALL in
732 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
733 *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
734 esac
736 # Let's still pretend it is `configure' which instantiates (i.e., don't
737 # use $as_me), people would be surprised to read:
738 # /* config.h. Generated by config.status. */
739 if test x"$ac_file" = x-; then
740 configure_input=
741 else
742 configure_input="$ac_file. "
744 configure_input=$configure_input"Generated from `echo $ac_file_in |
745 sed 's,.*/,,'` by configure."
747 # First look for the input files in the build tree, otherwise in the
748 # src tree.
749 ac_file_inputs=`IFS=:
750 for f in $ac_file_in; do
751 case $f in
752 -) echo $tmp/stdin ;;
753 [\\/$]*)
754 # Absolute (can't be DOS-style, as IFS=:)
755 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
756 echo "$as_me: error: cannot find input file: $f" >&2;}
757 { (exit 1); exit 1; }; }
758 echo "$f";;
759 *) # Relative
760 if test -f "$f"; then
761 # Build tree
762 echo "$f"
763 elif test -f "$srcdir/$f"; then
764 # Source tree
765 echo "$srcdir/$f"
766 else
767 # /dev/null tree
768 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
769 echo "$as_me: error: cannot find input file: $f" >&2;}
770 { (exit 1); exit 1; }; }
771 fi;;
772 esac
773 done` || { (exit 1); exit 1; }
775 if test x"$ac_file" != x-; then
776 { echo "$as_me:$LINENO: creating $ac_file" >&5
777 echo "$as_me: creating $ac_file" >&6;}
778 rm -f "$ac_file"
780 sed "/^[ ]*VPATH[ ]*=/{
781 s/:*\$(srcdir):*/:/;
782 s/:*\${srcdir}:*/:/;
783 s/:*@srcdir@:*/:/;
784 s/^\([^=]*=[ ]*\):*/\1/;
785 s/:*$//;
786 s/^[^=]*=[ ]*$//;
790 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
791 s,@configure_input@,$configure_input,;t t
792 s,@srcdir@,$ac_srcdir,;t t
793 s,@abs_srcdir@,$ac_abs_srcdir,;t t
794 s,@top_srcdir@,$ac_top_srcdir,;t t
795 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
796 s,@builddir@,$ac_builddir,;t t
797 s,@abs_builddir@,$ac_abs_builddir,;t t
798 s,@top_builddir@,$ac_top_builddir,;t t
799 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
800 s,@INSTALL@,$ac_INSTALL,;t t
801 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
802 rm -f $tmp/stdin
803 if test x"$ac_file" != x-; then
804 mv $tmp/out $ac_file
805 else
806 cat $tmp/out
807 rm -f $tmp/out
810 done
813 # CONFIG_HEADER section.
816 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
817 # NAME is the cpp macro being defined and VALUE is the value it is being given.
819 # ac_d sets the value in "#define NAME VALUE" lines.
820 ac_dA='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)'
821 ac_dB='[ ].*$,\1#\2'
822 ac_dC=' '
823 ac_dD=',;t'
824 # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
825 ac_uA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
826 ac_uB='$,\1#\2define\3'
827 ac_uC=' '
828 ac_uD=',;t'
830 for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
831 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
832 case $ac_file in
833 - | *:- | *:-:* ) # input from stdin
834 cat >$tmp/stdin
835 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
836 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
837 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
838 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
839 * ) ac_file_in=$ac_file.in ;;
840 esac
842 test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
843 echo "$as_me: creating $ac_file" >&6;}
845 # First look for the input files in the build tree, otherwise in the
846 # src tree.
847 ac_file_inputs=`IFS=:
848 for f in $ac_file_in; do
849 case $f in
850 -) echo $tmp/stdin ;;
851 [\\/$]*)
852 # Absolute (can't be DOS-style, as IFS=:)
853 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
854 echo "$as_me: error: cannot find input file: $f" >&2;}
855 { (exit 1); exit 1; }; }
856 # Do quote $f, to prevent DOS paths from being IFS'd.
857 echo "$f";;
858 *) # Relative
859 if test -f "$f"; then
860 # Build tree
861 echo "$f"
862 elif test -f "$srcdir/$f"; then
863 # Source tree
864 echo "$srcdir/$f"
865 else
866 # /dev/null tree
867 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
868 echo "$as_me: error: cannot find input file: $f" >&2;}
869 { (exit 1); exit 1; }; }
870 fi;;
871 esac
872 done` || { (exit 1); exit 1; }
873 # Remove the trailing spaces.
874 sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
876 # Handle all the #define templates only if necessary.
877 if grep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then
878 # If there are no defines, we may have an empty if/fi
880 cat >$tmp/defines.sed <<CEOF
881 /^[ ]*#[ ]*define/!b
882 t clr
883 : clr
884 ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}"lzo"${ac_dD}
885 ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}"lzo"${ac_dD}
886 ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}"2.03"${ac_dD}
887 ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}"lzo 2.03"${ac_dD}
888 ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}"markus@oberhumer.com"${ac_dD}
889 ${ac_dA}LZO_ABI_LITTLE_ENDIAN${ac_dB}LZO_ABI_LITTLE_ENDIAN${ac_dC}1${ac_dD}
890 ${ac_dA}_FILE_OFFSET_BITS${ac_dB}_FILE_OFFSET_BITS${ac_dC}64${ac_dD}
891 ${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"lzo"${ac_dD}
892 ${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"2.03"${ac_dD}
893 ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
894 ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
895 ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
896 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
897 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
898 ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
899 ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
900 ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
901 ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
902 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
903 ${ac_dA}HAVE_DLFCN_H${ac_dB}HAVE_DLFCN_H${ac_dC}1${ac_dD}
904 ${ac_dA}TIME_WITH_SYS_TIME${ac_dB}TIME_WITH_SYS_TIME${ac_dC}1${ac_dD}
905 ${ac_dA}HAVE_ASSERT_H${ac_dB}HAVE_ASSERT_H${ac_dC}1${ac_dD}
906 ${ac_dA}HAVE_CTYPE_H${ac_dB}HAVE_CTYPE_H${ac_dC}1${ac_dD}
907 ${ac_dA}HAVE_DIRENT_H${ac_dB}HAVE_DIRENT_H${ac_dC}1${ac_dD}
908 ${ac_dA}HAVE_ERRNO_H${ac_dB}HAVE_ERRNO_H${ac_dC}1${ac_dD}
909 ${ac_dA}HAVE_FCNTL_H${ac_dB}HAVE_FCNTL_H${ac_dC}1${ac_dD}
910 ${ac_dA}HAVE_FLOAT_H${ac_dB}HAVE_FLOAT_H${ac_dC}1${ac_dD}
911 ${ac_dA}HAVE_LIMITS_H${ac_dB}HAVE_LIMITS_H${ac_dC}1${ac_dD}
912 ${ac_dA}HAVE_MALLOC_H${ac_dB}HAVE_MALLOC_H${ac_dC}1${ac_dD}
913 ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
914 ${ac_dA}HAVE_SETJMP_H${ac_dB}HAVE_SETJMP_H${ac_dC}1${ac_dD}
915 ${ac_dA}HAVE_SIGNAL_H${ac_dB}HAVE_SIGNAL_H${ac_dC}1${ac_dD}
916 ${ac_dA}HAVE_STDARG_H${ac_dB}HAVE_STDARG_H${ac_dC}1${ac_dD}
917 ${ac_dA}HAVE_STDDEF_H${ac_dB}HAVE_STDDEF_H${ac_dC}1${ac_dD}
918 ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
919 ${ac_dA}HAVE_STDIO_H${ac_dB}HAVE_STDIO_H${ac_dC}1${ac_dD}
920 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
921 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
922 CEOF
923 sed -f $tmp/defines.sed $tmp/in >$tmp/out
924 rm -f $tmp/in
925 mv $tmp/out $tmp/in
927 cat >$tmp/defines.sed <<CEOF
928 /^[ ]*#[ ]*define/!b
929 t clr
930 : clr
931 ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
932 ${ac_dA}HAVE_TIME_H${ac_dB}HAVE_TIME_H${ac_dC}1${ac_dD}
933 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
934 ${ac_dA}HAVE_UTIME_H${ac_dB}HAVE_UTIME_H${ac_dC}1${ac_dD}
935 ${ac_dA}HAVE_SYS_MMAN_H${ac_dB}HAVE_SYS_MMAN_H${ac_dC}1${ac_dD}
936 ${ac_dA}HAVE_SYS_RESOURCE_H${ac_dB}HAVE_SYS_RESOURCE_H${ac_dC}1${ac_dD}
937 ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
938 ${ac_dA}HAVE_SYS_TIME_H${ac_dB}HAVE_SYS_TIME_H${ac_dC}1${ac_dD}
939 ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
940 ${ac_dA}HAVE_SYS_WAIT_H${ac_dB}HAVE_SYS_WAIT_H${ac_dC}1${ac_dD}
941 ${ac_dA}RETSIGTYPE${ac_dB}RETSIGTYPE${ac_dC}void${ac_dD}
942 ${ac_dA}SIZEOF_SHORT${ac_dB}SIZEOF_SHORT${ac_dC}2${ac_dD}
943 ${ac_dA}SIZEOF_INT${ac_dB}SIZEOF_INT${ac_dC}4${ac_dD}
944 ${ac_dA}SIZEOF_LONG${ac_dB}SIZEOF_LONG${ac_dC}4${ac_dD}
945 ${ac_dA}SIZEOF_LONG_LONG${ac_dB}SIZEOF_LONG_LONG${ac_dC}8${ac_dD}
946 ${ac_dA}SIZEOF___INT16${ac_dB}SIZEOF___INT16${ac_dC}0${ac_dD}
947 ${ac_dA}SIZEOF___INT32${ac_dB}SIZEOF___INT32${ac_dC}0${ac_dD}
948 ${ac_dA}SIZEOF___INT64${ac_dB}SIZEOF___INT64${ac_dC}0${ac_dD}
949 ${ac_dA}SIZEOF_VOID_P${ac_dB}SIZEOF_VOID_P${ac_dC}4${ac_dD}
950 ${ac_dA}SIZEOF_SIZE_T${ac_dB}SIZEOF_SIZE_T${ac_dC}4${ac_dD}
951 ${ac_dA}SIZEOF_PTRDIFF_T${ac_dB}SIZEOF_PTRDIFF_T${ac_dC}4${ac_dD}
952 ${ac_dA}SIZEOF___INT32${ac_dB}SIZEOF___INT32${ac_dC}0${ac_dD}
953 ${ac_dA}SIZEOF_INTMAX_T${ac_dB}SIZEOF_INTMAX_T${ac_dC}8${ac_dD}
954 ${ac_dA}SIZEOF_UINTMAX_T${ac_dB}SIZEOF_UINTMAX_T${ac_dC}8${ac_dD}
955 ${ac_dA}SIZEOF_INTPTR_T${ac_dB}SIZEOF_INTPTR_T${ac_dC}4${ac_dD}
956 ${ac_dA}SIZEOF_UINTPTR_T${ac_dB}SIZEOF_UINTPTR_T${ac_dC}4${ac_dD}
957 ${ac_dA}SIZEOF_FLOAT${ac_dB}SIZEOF_FLOAT${ac_dC}4${ac_dD}
958 ${ac_dA}SIZEOF_DOUBLE${ac_dB}SIZEOF_DOUBLE${ac_dC}8${ac_dD}
959 ${ac_dA}SIZEOF_LONG_DOUBLE${ac_dB}SIZEOF_LONG_DOUBLE${ac_dC}8${ac_dD}
960 ${ac_dA}SIZEOF_DEV_T${ac_dB}SIZEOF_DEV_T${ac_dC}8${ac_dD}
961 ${ac_dA}SIZEOF_FPOS_T${ac_dB}SIZEOF_FPOS_T${ac_dC}8${ac_dD}
962 ${ac_dA}SIZEOF_MODE_T${ac_dB}SIZEOF_MODE_T${ac_dC}4${ac_dD}
963 ${ac_dA}SIZEOF_OFF_T${ac_dB}SIZEOF_OFF_T${ac_dC}8${ac_dD}
964 ${ac_dA}SIZEOF_SSIZE_T${ac_dB}SIZEOF_SSIZE_T${ac_dC}4${ac_dD}
965 ${ac_dA}SIZEOF_TIME_T${ac_dB}SIZEOF_TIME_T${ac_dC}4${ac_dD}
966 ${ac_dA}HAVE_ACCESS${ac_dB}HAVE_ACCESS${ac_dC}1${ac_dD}
967 ${ac_dA}HAVE_ATEXIT${ac_dB}HAVE_ATEXIT${ac_dC}1${ac_dD}
968 ${ac_dA}HAVE_ATOI${ac_dB}HAVE_ATOI${ac_dC}1${ac_dD}
969 CEOF
970 sed -f $tmp/defines.sed $tmp/in >$tmp/out
971 rm -f $tmp/in
972 mv $tmp/out $tmp/in
974 cat >$tmp/defines.sed <<CEOF
975 /^[ ]*#[ ]*define/!b
976 t clr
977 : clr
978 ${ac_dA}HAVE_ATOL${ac_dB}HAVE_ATOL${ac_dC}1${ac_dD}
979 ${ac_dA}HAVE_CHMOD${ac_dB}HAVE_CHMOD${ac_dC}1${ac_dD}
980 ${ac_dA}HAVE_CHOWN${ac_dB}HAVE_CHOWN${ac_dC}1${ac_dD}
981 ${ac_dA}HAVE_CTIME${ac_dB}HAVE_CTIME${ac_dC}1${ac_dD}
982 ${ac_dA}HAVE_DIFFTIME${ac_dB}HAVE_DIFFTIME${ac_dC}1${ac_dD}
983 ${ac_dA}HAVE_FSTAT${ac_dB}HAVE_FSTAT${ac_dC}1${ac_dD}
984 ${ac_dA}HAVE_GETENV${ac_dB}HAVE_GETENV${ac_dC}1${ac_dD}
985 ${ac_dA}HAVE_GETPAGESIZE${ac_dB}HAVE_GETPAGESIZE${ac_dC}1${ac_dD}
986 ${ac_dA}HAVE_GETRUSAGE${ac_dB}HAVE_GETRUSAGE${ac_dC}1${ac_dD}
987 ${ac_dA}HAVE_GETTIMEOFDAY${ac_dB}HAVE_GETTIMEOFDAY${ac_dC}1${ac_dD}
988 ${ac_dA}HAVE_GMTIME${ac_dB}HAVE_GMTIME${ac_dC}1${ac_dD}
989 ${ac_dA}HAVE_ISATTY${ac_dB}HAVE_ISATTY${ac_dC}1${ac_dD}
990 ${ac_dA}HAVE_LOCALTIME${ac_dB}HAVE_LOCALTIME${ac_dC}1${ac_dD}
991 ${ac_dA}HAVE_LONGJMP${ac_dB}HAVE_LONGJMP${ac_dC}1${ac_dD}
992 ${ac_dA}HAVE_LSTAT${ac_dB}HAVE_LSTAT${ac_dC}1${ac_dD}
993 ${ac_dA}HAVE_MEMCMP${ac_dB}HAVE_MEMCMP${ac_dC}1${ac_dD}
994 ${ac_dA}HAVE_MEMCPY${ac_dB}HAVE_MEMCPY${ac_dC}1${ac_dD}
995 ${ac_dA}HAVE_MEMMOVE${ac_dB}HAVE_MEMMOVE${ac_dC}1${ac_dD}
996 ${ac_dA}HAVE_MEMSET${ac_dB}HAVE_MEMSET${ac_dC}1${ac_dD}
997 ${ac_dA}HAVE_MKDIR${ac_dB}HAVE_MKDIR${ac_dC}1${ac_dD}
998 ${ac_dA}HAVE_MKTIME${ac_dB}HAVE_MKTIME${ac_dC}1${ac_dD}
999 ${ac_dA}HAVE_MMAP${ac_dB}HAVE_MMAP${ac_dC}1${ac_dD}
1000 ${ac_dA}HAVE_MPROTECT${ac_dB}HAVE_MPROTECT${ac_dC}1${ac_dD}
1001 ${ac_dA}HAVE_MUNMAP${ac_dB}HAVE_MUNMAP${ac_dC}1${ac_dD}
1002 ${ac_dA}HAVE_QSORT${ac_dB}HAVE_QSORT${ac_dC}1${ac_dD}
1003 ${ac_dA}HAVE_RAISE${ac_dB}HAVE_RAISE${ac_dC}1${ac_dD}
1004 ${ac_dA}HAVE_RMDIR${ac_dB}HAVE_RMDIR${ac_dC}1${ac_dD}
1005 ${ac_dA}HAVE_SETJMP${ac_dB}HAVE_SETJMP${ac_dC}1${ac_dD}
1006 ${ac_dA}HAVE_SIGNAL${ac_dB}HAVE_SIGNAL${ac_dC}1${ac_dD}
1007 ${ac_dA}HAVE_SNPRINTF${ac_dB}HAVE_SNPRINTF${ac_dC}1${ac_dD}
1008 ${ac_dA}HAVE_STRCASECMP${ac_dB}HAVE_STRCASECMP${ac_dC}1${ac_dD}
1009 ${ac_dA}HAVE_STRCHR${ac_dB}HAVE_STRCHR${ac_dC}1${ac_dD}
1010 ${ac_dA}HAVE_STRDUP${ac_dB}HAVE_STRDUP${ac_dC}1${ac_dD}
1011 ${ac_dA}HAVE_STRERROR${ac_dB}HAVE_STRERROR${ac_dC}1${ac_dD}
1012 ${ac_dA}HAVE_STRFTIME${ac_dB}HAVE_STRFTIME${ac_dC}1${ac_dD}
1013 ${ac_dA}HAVE_STRNCASECMP${ac_dB}HAVE_STRNCASECMP${ac_dC}1${ac_dD}
1014 ${ac_dA}HAVE_STRRCHR${ac_dB}HAVE_STRRCHR${ac_dC}1${ac_dD}
1015 ${ac_dA}HAVE_STRSTR${ac_dB}HAVE_STRSTR${ac_dC}1${ac_dD}
1016 CEOF
1017 sed -f $tmp/defines.sed $tmp/in >$tmp/out
1018 rm -f $tmp/in
1019 mv $tmp/out $tmp/in
1021 cat >$tmp/defines.sed <<CEOF
1022 /^[ ]*#[ ]*define/!b
1023 t clr
1024 : clr
1025 ${ac_dA}HAVE_TIME${ac_dB}HAVE_TIME${ac_dC}1${ac_dD}
1026 ${ac_dA}HAVE_UMASK${ac_dB}HAVE_UMASK${ac_dC}1${ac_dD}
1027 ${ac_dA}HAVE_UTIME${ac_dB}HAVE_UTIME${ac_dC}1${ac_dD}
1028 ${ac_dA}HAVE_VSNPRINTF${ac_dB}HAVE_VSNPRINTF${ac_dC}1${ac_dD}
1029 CEOF
1030 sed -f $tmp/defines.sed $tmp/in >$tmp/out
1031 rm -f $tmp/in
1032 mv $tmp/out $tmp/in
1034 fi # grep
1036 # Handle all the #undef templates
1037 cat >$tmp/undefs.sed <<CEOF
1038 /^[ ]*#[ ]*undef/!b
1039 t clr
1040 : clr
1041 ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}"lzo"${ac_uD}
1042 ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}"lzo"${ac_uD}
1043 ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}"2.03"${ac_uD}
1044 ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}"lzo 2.03"${ac_uD}
1045 ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}"markus@oberhumer.com"${ac_uD}
1046 ${ac_uA}LZO_ABI_LITTLE_ENDIAN${ac_uB}LZO_ABI_LITTLE_ENDIAN${ac_uC}1${ac_uD}
1047 ${ac_uA}_FILE_OFFSET_BITS${ac_uB}_FILE_OFFSET_BITS${ac_uC}64${ac_uD}
1048 ${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"lzo"${ac_uD}
1049 ${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"2.03"${ac_uD}
1050 ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
1051 ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
1052 ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
1053 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
1054 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
1055 ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
1056 ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
1057 ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
1058 ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
1059 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
1060 ${ac_uA}HAVE_DLFCN_H${ac_uB}HAVE_DLFCN_H${ac_uC}1${ac_uD}
1061 ${ac_uA}TIME_WITH_SYS_TIME${ac_uB}TIME_WITH_SYS_TIME${ac_uC}1${ac_uD}
1062 ${ac_uA}HAVE_ASSERT_H${ac_uB}HAVE_ASSERT_H${ac_uC}1${ac_uD}
1063 ${ac_uA}HAVE_CTYPE_H${ac_uB}HAVE_CTYPE_H${ac_uC}1${ac_uD}
1064 ${ac_uA}HAVE_DIRENT_H${ac_uB}HAVE_DIRENT_H${ac_uC}1${ac_uD}
1065 ${ac_uA}HAVE_ERRNO_H${ac_uB}HAVE_ERRNO_H${ac_uC}1${ac_uD}
1066 ${ac_uA}HAVE_FCNTL_H${ac_uB}HAVE_FCNTL_H${ac_uC}1${ac_uD}
1067 ${ac_uA}HAVE_FLOAT_H${ac_uB}HAVE_FLOAT_H${ac_uC}1${ac_uD}
1068 ${ac_uA}HAVE_LIMITS_H${ac_uB}HAVE_LIMITS_H${ac_uC}1${ac_uD}
1069 ${ac_uA}HAVE_MALLOC_H${ac_uB}HAVE_MALLOC_H${ac_uC}1${ac_uD}
1070 ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
1071 ${ac_uA}HAVE_SETJMP_H${ac_uB}HAVE_SETJMP_H${ac_uC}1${ac_uD}
1072 ${ac_uA}HAVE_SIGNAL_H${ac_uB}HAVE_SIGNAL_H${ac_uC}1${ac_uD}
1073 ${ac_uA}HAVE_STDARG_H${ac_uB}HAVE_STDARG_H${ac_uC}1${ac_uD}
1074 ${ac_uA}HAVE_STDDEF_H${ac_uB}HAVE_STDDEF_H${ac_uC}1${ac_uD}
1075 ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
1076 ${ac_uA}HAVE_STDIO_H${ac_uB}HAVE_STDIO_H${ac_uC}1${ac_uD}
1077 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
1078 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
1079 CEOF
1080 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
1081 rm -f $tmp/in
1082 mv $tmp/out $tmp/in
1084 cat >$tmp/undefs.sed <<CEOF
1085 /^[ ]*#[ ]*undef/!b
1086 t clr
1087 : clr
1088 ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
1089 ${ac_uA}HAVE_TIME_H${ac_uB}HAVE_TIME_H${ac_uC}1${ac_uD}
1090 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
1091 ${ac_uA}HAVE_UTIME_H${ac_uB}HAVE_UTIME_H${ac_uC}1${ac_uD}
1092 ${ac_uA}HAVE_SYS_MMAN_H${ac_uB}HAVE_SYS_MMAN_H${ac_uC}1${ac_uD}
1093 ${ac_uA}HAVE_SYS_RESOURCE_H${ac_uB}HAVE_SYS_RESOURCE_H${ac_uC}1${ac_uD}
1094 ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
1095 ${ac_uA}HAVE_SYS_TIME_H${ac_uB}HAVE_SYS_TIME_H${ac_uC}1${ac_uD}
1096 ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
1097 ${ac_uA}HAVE_SYS_WAIT_H${ac_uB}HAVE_SYS_WAIT_H${ac_uC}1${ac_uD}
1098 ${ac_uA}RETSIGTYPE${ac_uB}RETSIGTYPE${ac_uC}void${ac_uD}
1099 ${ac_uA}SIZEOF_SHORT${ac_uB}SIZEOF_SHORT${ac_uC}2${ac_uD}
1100 ${ac_uA}SIZEOF_INT${ac_uB}SIZEOF_INT${ac_uC}4${ac_uD}
1101 ${ac_uA}SIZEOF_LONG${ac_uB}SIZEOF_LONG${ac_uC}4${ac_uD}
1102 ${ac_uA}SIZEOF_LONG_LONG${ac_uB}SIZEOF_LONG_LONG${ac_uC}8${ac_uD}
1103 ${ac_uA}SIZEOF___INT16${ac_uB}SIZEOF___INT16${ac_uC}0${ac_uD}
1104 ${ac_uA}SIZEOF___INT32${ac_uB}SIZEOF___INT32${ac_uC}0${ac_uD}
1105 ${ac_uA}SIZEOF___INT64${ac_uB}SIZEOF___INT64${ac_uC}0${ac_uD}
1106 ${ac_uA}SIZEOF_VOID_P${ac_uB}SIZEOF_VOID_P${ac_uC}4${ac_uD}
1107 ${ac_uA}SIZEOF_SIZE_T${ac_uB}SIZEOF_SIZE_T${ac_uC}4${ac_uD}
1108 ${ac_uA}SIZEOF_PTRDIFF_T${ac_uB}SIZEOF_PTRDIFF_T${ac_uC}4${ac_uD}
1109 ${ac_uA}SIZEOF___INT32${ac_uB}SIZEOF___INT32${ac_uC}0${ac_uD}
1110 ${ac_uA}SIZEOF_INTMAX_T${ac_uB}SIZEOF_INTMAX_T${ac_uC}8${ac_uD}
1111 ${ac_uA}SIZEOF_UINTMAX_T${ac_uB}SIZEOF_UINTMAX_T${ac_uC}8${ac_uD}
1112 ${ac_uA}SIZEOF_INTPTR_T${ac_uB}SIZEOF_INTPTR_T${ac_uC}4${ac_uD}
1113 ${ac_uA}SIZEOF_UINTPTR_T${ac_uB}SIZEOF_UINTPTR_T${ac_uC}4${ac_uD}
1114 ${ac_uA}SIZEOF_FLOAT${ac_uB}SIZEOF_FLOAT${ac_uC}4${ac_uD}
1115 ${ac_uA}SIZEOF_DOUBLE${ac_uB}SIZEOF_DOUBLE${ac_uC}8${ac_uD}
1116 ${ac_uA}SIZEOF_LONG_DOUBLE${ac_uB}SIZEOF_LONG_DOUBLE${ac_uC}8${ac_uD}
1117 ${ac_uA}SIZEOF_DEV_T${ac_uB}SIZEOF_DEV_T${ac_uC}8${ac_uD}
1118 ${ac_uA}SIZEOF_FPOS_T${ac_uB}SIZEOF_FPOS_T${ac_uC}8${ac_uD}
1119 ${ac_uA}SIZEOF_MODE_T${ac_uB}SIZEOF_MODE_T${ac_uC}4${ac_uD}
1120 ${ac_uA}SIZEOF_OFF_T${ac_uB}SIZEOF_OFF_T${ac_uC}8${ac_uD}
1121 ${ac_uA}SIZEOF_SSIZE_T${ac_uB}SIZEOF_SSIZE_T${ac_uC}4${ac_uD}
1122 ${ac_uA}SIZEOF_TIME_T${ac_uB}SIZEOF_TIME_T${ac_uC}4${ac_uD}
1123 ${ac_uA}HAVE_ACCESS${ac_uB}HAVE_ACCESS${ac_uC}1${ac_uD}
1124 ${ac_uA}HAVE_ATEXIT${ac_uB}HAVE_ATEXIT${ac_uC}1${ac_uD}
1125 ${ac_uA}HAVE_ATOI${ac_uB}HAVE_ATOI${ac_uC}1${ac_uD}
1126 CEOF
1127 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
1128 rm -f $tmp/in
1129 mv $tmp/out $tmp/in
1131 cat >$tmp/undefs.sed <<CEOF
1132 /^[ ]*#[ ]*undef/!b
1133 t clr
1134 : clr
1135 ${ac_uA}HAVE_ATOL${ac_uB}HAVE_ATOL${ac_uC}1${ac_uD}
1136 ${ac_uA}HAVE_CHMOD${ac_uB}HAVE_CHMOD${ac_uC}1${ac_uD}
1137 ${ac_uA}HAVE_CHOWN${ac_uB}HAVE_CHOWN${ac_uC}1${ac_uD}
1138 ${ac_uA}HAVE_CTIME${ac_uB}HAVE_CTIME${ac_uC}1${ac_uD}
1139 ${ac_uA}HAVE_DIFFTIME${ac_uB}HAVE_DIFFTIME${ac_uC}1${ac_uD}
1140 ${ac_uA}HAVE_FSTAT${ac_uB}HAVE_FSTAT${ac_uC}1${ac_uD}
1141 ${ac_uA}HAVE_GETENV${ac_uB}HAVE_GETENV${ac_uC}1${ac_uD}
1142 ${ac_uA}HAVE_GETPAGESIZE${ac_uB}HAVE_GETPAGESIZE${ac_uC}1${ac_uD}
1143 ${ac_uA}HAVE_GETRUSAGE${ac_uB}HAVE_GETRUSAGE${ac_uC}1${ac_uD}
1144 ${ac_uA}HAVE_GETTIMEOFDAY${ac_uB}HAVE_GETTIMEOFDAY${ac_uC}1${ac_uD}
1145 ${ac_uA}HAVE_GMTIME${ac_uB}HAVE_GMTIME${ac_uC}1${ac_uD}
1146 ${ac_uA}HAVE_ISATTY${ac_uB}HAVE_ISATTY${ac_uC}1${ac_uD}
1147 ${ac_uA}HAVE_LOCALTIME${ac_uB}HAVE_LOCALTIME${ac_uC}1${ac_uD}
1148 ${ac_uA}HAVE_LONGJMP${ac_uB}HAVE_LONGJMP${ac_uC}1${ac_uD}
1149 ${ac_uA}HAVE_LSTAT${ac_uB}HAVE_LSTAT${ac_uC}1${ac_uD}
1150 ${ac_uA}HAVE_MEMCMP${ac_uB}HAVE_MEMCMP${ac_uC}1${ac_uD}
1151 ${ac_uA}HAVE_MEMCPY${ac_uB}HAVE_MEMCPY${ac_uC}1${ac_uD}
1152 ${ac_uA}HAVE_MEMMOVE${ac_uB}HAVE_MEMMOVE${ac_uC}1${ac_uD}
1153 ${ac_uA}HAVE_MEMSET${ac_uB}HAVE_MEMSET${ac_uC}1${ac_uD}
1154 ${ac_uA}HAVE_MKDIR${ac_uB}HAVE_MKDIR${ac_uC}1${ac_uD}
1155 ${ac_uA}HAVE_MKTIME${ac_uB}HAVE_MKTIME${ac_uC}1${ac_uD}
1156 ${ac_uA}HAVE_MMAP${ac_uB}HAVE_MMAP${ac_uC}1${ac_uD}
1157 ${ac_uA}HAVE_MPROTECT${ac_uB}HAVE_MPROTECT${ac_uC}1${ac_uD}
1158 ${ac_uA}HAVE_MUNMAP${ac_uB}HAVE_MUNMAP${ac_uC}1${ac_uD}
1159 ${ac_uA}HAVE_QSORT${ac_uB}HAVE_QSORT${ac_uC}1${ac_uD}
1160 ${ac_uA}HAVE_RAISE${ac_uB}HAVE_RAISE${ac_uC}1${ac_uD}
1161 ${ac_uA}HAVE_RMDIR${ac_uB}HAVE_RMDIR${ac_uC}1${ac_uD}
1162 ${ac_uA}HAVE_SETJMP${ac_uB}HAVE_SETJMP${ac_uC}1${ac_uD}
1163 ${ac_uA}HAVE_SIGNAL${ac_uB}HAVE_SIGNAL${ac_uC}1${ac_uD}
1164 ${ac_uA}HAVE_SNPRINTF${ac_uB}HAVE_SNPRINTF${ac_uC}1${ac_uD}
1165 ${ac_uA}HAVE_STRCASECMP${ac_uB}HAVE_STRCASECMP${ac_uC}1${ac_uD}
1166 ${ac_uA}HAVE_STRCHR${ac_uB}HAVE_STRCHR${ac_uC}1${ac_uD}
1167 ${ac_uA}HAVE_STRDUP${ac_uB}HAVE_STRDUP${ac_uC}1${ac_uD}
1168 ${ac_uA}HAVE_STRERROR${ac_uB}HAVE_STRERROR${ac_uC}1${ac_uD}
1169 ${ac_uA}HAVE_STRFTIME${ac_uB}HAVE_STRFTIME${ac_uC}1${ac_uD}
1170 ${ac_uA}HAVE_STRNCASECMP${ac_uB}HAVE_STRNCASECMP${ac_uC}1${ac_uD}
1171 ${ac_uA}HAVE_STRRCHR${ac_uB}HAVE_STRRCHR${ac_uC}1${ac_uD}
1172 ${ac_uA}HAVE_STRSTR${ac_uB}HAVE_STRSTR${ac_uC}1${ac_uD}
1173 CEOF
1174 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
1175 rm -f $tmp/in
1176 mv $tmp/out $tmp/in
1178 cat >$tmp/undefs.sed <<CEOF
1179 /^[ ]*#[ ]*undef/!b
1180 t clr
1181 : clr
1182 ${ac_uA}HAVE_TIME${ac_uB}HAVE_TIME${ac_uC}1${ac_uD}
1183 ${ac_uA}HAVE_UMASK${ac_uB}HAVE_UMASK${ac_uC}1${ac_uD}
1184 ${ac_uA}HAVE_UTIME${ac_uB}HAVE_UTIME${ac_uC}1${ac_uD}
1185 ${ac_uA}HAVE_VSNPRINTF${ac_uB}HAVE_VSNPRINTF${ac_uC}1${ac_uD}
1186 s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
1187 CEOF
1188 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
1189 rm -f $tmp/in
1190 mv $tmp/out $tmp/in
1192 # Let's still pretend it is `configure' which instantiates (i.e., don't
1193 # use $as_me), people would be surprised to read:
1194 # /* config.h. Generated by config.status. */
1195 if test x"$ac_file" = x-; then
1196 echo "/* Generated by configure. */" >$tmp/config.h
1197 else
1198 echo "/* $ac_file. Generated by configure. */" >$tmp/config.h
1200 cat $tmp/in >>$tmp/config.h
1201 rm -f $tmp/in
1202 if test x"$ac_file" != x-; then
1203 if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
1204 { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
1205 echo "$as_me: $ac_file is unchanged" >&6;}
1206 else
1207 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
1208 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1209 X"$ac_file" : 'X\(//\)[^/]' \| \
1210 X"$ac_file" : 'X\(//\)$' \| \
1211 X"$ac_file" : 'X\(/\)' \| \
1212 . : '\(.\)' 2>/dev/null ||
1213 echo X"$ac_file" |
1214 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1215 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1216 /^X\(\/\/\)$/{ s//\1/; q; }
1217 /^X\(\/\).*/{ s//\1/; q; }
1218 s/.*/./; q'`
1219 { if $as_mkdir_p; then
1220 mkdir -p "$ac_dir"
1221 else
1222 as_dir="$ac_dir"
1223 as_dirs=
1224 while test ! -d "$as_dir"; do
1225 as_dirs="$as_dir $as_dirs"
1226 as_dir=`(dirname "$as_dir") 2>/dev/null ||
1227 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1228 X"$as_dir" : 'X\(//\)[^/]' \| \
1229 X"$as_dir" : 'X\(//\)$' \| \
1230 X"$as_dir" : 'X\(/\)' \| \
1231 . : '\(.\)' 2>/dev/null ||
1232 echo X"$as_dir" |
1233 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1234 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1235 /^X\(\/\/\)$/{ s//\1/; q; }
1236 /^X\(\/\).*/{ s//\1/; q; }
1237 s/.*/./; q'`
1238 done
1239 test ! -n "$as_dirs" || mkdir $as_dirs
1240 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1241 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1242 { (exit 1); exit 1; }; }; }
1244 rm -f $ac_file
1245 mv $tmp/config.h $ac_file
1247 else
1248 cat $tmp/config.h
1249 rm -f $tmp/config.h
1251 # Compute $ac_file's index in $config_headers.
1252 _am_stamp_count=1
1253 for _am_header in $config_headers :; do
1254 case $_am_header in
1255 $ac_file | $ac_file:* )
1256 break ;;
1258 _am_stamp_count=`expr $_am_stamp_count + 1` ;;
1259 esac
1260 done
1261 echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
1262 $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1263 X$ac_file : 'X\(//\)[^/]' \| \
1264 X$ac_file : 'X\(//\)$' \| \
1265 X$ac_file : 'X\(/\)' \| \
1266 . : '\(.\)' 2>/dev/null ||
1267 echo X$ac_file |
1268 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1269 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1270 /^X\(\/\/\)$/{ s//\1/; q; }
1271 /^X\(\/\).*/{ s//\1/; q; }
1272 s/.*/./; q'`/stamp-h$_am_stamp_count
1273 done
1276 # CONFIG_COMMANDS section.
1278 for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
1279 ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
1280 ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
1281 ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
1282 $as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1283 X"$ac_dest" : 'X\(//\)[^/]' \| \
1284 X"$ac_dest" : 'X\(//\)$' \| \
1285 X"$ac_dest" : 'X\(/\)' \| \
1286 . : '\(.\)' 2>/dev/null ||
1287 echo X"$ac_dest" |
1288 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1289 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1290 /^X\(\/\/\)$/{ s//\1/; q; }
1291 /^X\(\/\).*/{ s//\1/; q; }
1292 s/.*/./; q'`
1293 { if $as_mkdir_p; then
1294 mkdir -p "$ac_dir"
1295 else
1296 as_dir="$ac_dir"
1297 as_dirs=
1298 while test ! -d "$as_dir"; do
1299 as_dirs="$as_dir $as_dirs"
1300 as_dir=`(dirname "$as_dir") 2>/dev/null ||
1301 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1302 X"$as_dir" : 'X\(//\)[^/]' \| \
1303 X"$as_dir" : 'X\(//\)$' \| \
1304 X"$as_dir" : 'X\(/\)' \| \
1305 . : '\(.\)' 2>/dev/null ||
1306 echo X"$as_dir" |
1307 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1308 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1309 /^X\(\/\/\)$/{ s//\1/; q; }
1310 /^X\(\/\).*/{ s//\1/; q; }
1311 s/.*/./; q'`
1312 done
1313 test ! -n "$as_dirs" || mkdir $as_dirs
1314 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1315 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1316 { (exit 1); exit 1; }; }; }
1318 ac_builddir=.
1320 if test "$ac_dir" != .; then
1321 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
1322 # A "../" for each directory in $ac_dir_suffix.
1323 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
1324 else
1325 ac_dir_suffix= ac_top_builddir=
1328 case $srcdir in
1329 .) # No --srcdir option. We are building in place.
1330 ac_srcdir=.
1331 if test -z "$ac_top_builddir"; then
1332 ac_top_srcdir=.
1333 else
1334 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
1335 fi ;;
1336 [\\/]* | ?:[\\/]* ) # Absolute path.
1337 ac_srcdir=$srcdir$ac_dir_suffix;
1338 ac_top_srcdir=$srcdir ;;
1339 *) # Relative path.
1340 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
1341 ac_top_srcdir=$ac_top_builddir$srcdir ;;
1342 esac
1344 # Do not use `cd foo && pwd` to compute absolute paths, because
1345 # the directories may not exist.
1346 case `pwd` in
1347 .) ac_abs_builddir="$ac_dir";;
1349 case "$ac_dir" in
1350 .) ac_abs_builddir=`pwd`;;
1351 [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
1352 *) ac_abs_builddir=`pwd`/"$ac_dir";;
1353 esac;;
1354 esac
1355 case $ac_abs_builddir in
1356 .) ac_abs_top_builddir=${ac_top_builddir}.;;
1358 case ${ac_top_builddir}. in
1359 .) ac_abs_top_builddir=$ac_abs_builddir;;
1360 [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
1361 *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
1362 esac;;
1363 esac
1364 case $ac_abs_builddir in
1365 .) ac_abs_srcdir=$ac_srcdir;;
1367 case $ac_srcdir in
1368 .) ac_abs_srcdir=$ac_abs_builddir;;
1369 [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
1370 *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
1371 esac;;
1372 esac
1373 case $ac_abs_builddir in
1374 .) ac_abs_top_srcdir=$ac_top_srcdir;;
1376 case $ac_top_srcdir in
1377 .) ac_abs_top_srcdir=$ac_abs_builddir;;
1378 [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
1379 *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
1380 esac;;
1381 esac
1384 { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
1385 echo "$as_me: executing $ac_dest commands" >&6;}
1386 case $ac_dest in
1387 depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
1388 # Strip MF so we end up with the name of the file.
1389 mf=`echo "$mf" | sed -e 's/:.*$//'`
1390 # Check whether this is an Automake generated Makefile or not.
1391 # We used to match only the files named `Makefile.in', but
1392 # some people rename them; so instead we look at the file content.
1393 # Grep'ing the first line is not enough: some people post-process
1394 # each Makefile.in and add a new line on top of each file to say so.
1395 # So let's grep whole file.
1396 if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
1397 dirpart=`(dirname "$mf") 2>/dev/null ||
1398 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1399 X"$mf" : 'X\(//\)[^/]' \| \
1400 X"$mf" : 'X\(//\)$' \| \
1401 X"$mf" : 'X\(/\)' \| \
1402 . : '\(.\)' 2>/dev/null ||
1403 echo X"$mf" |
1404 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1405 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1406 /^X\(\/\/\)$/{ s//\1/; q; }
1407 /^X\(\/\).*/{ s//\1/; q; }
1408 s/.*/./; q'`
1409 else
1410 continue
1412 # Extract the definition of DEPDIR, am__include, and am__quote
1413 # from the Makefile without running `make'.
1414 DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
1415 test -z "$DEPDIR" && continue
1416 am__include=`sed -n 's/^am__include = //p' < "$mf"`
1417 test -z "am__include" && continue
1418 am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
1419 # When using ansi2knr, U may be empty or an underscore; expand it
1420 U=`sed -n 's/^U = //p' < "$mf"`
1421 # Find all dependency output files, they are included files with
1422 # $(DEPDIR) in their names. We invoke sed twice because it is the
1423 # simplest approach to changing $(DEPDIR) to its actual value in the
1424 # expansion.
1425 for file in `sed -n "
1426 s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
1427 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1428 # Make sure the directory exists.
1429 test -f "$dirpart/$file" && continue
1430 fdir=`(dirname "$file") 2>/dev/null ||
1431 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1432 X"$file" : 'X\(//\)[^/]' \| \
1433 X"$file" : 'X\(//\)$' \| \
1434 X"$file" : 'X\(/\)' \| \
1435 . : '\(.\)' 2>/dev/null ||
1436 echo X"$file" |
1437 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1438 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1439 /^X\(\/\/\)$/{ s//\1/; q; }
1440 /^X\(\/\).*/{ s//\1/; q; }
1441 s/.*/./; q'`
1442 { if $as_mkdir_p; then
1443 mkdir -p $dirpart/$fdir
1444 else
1445 as_dir=$dirpart/$fdir
1446 as_dirs=
1447 while test ! -d "$as_dir"; do
1448 as_dirs="$as_dir $as_dirs"
1449 as_dir=`(dirname "$as_dir") 2>/dev/null ||
1450 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1451 X"$as_dir" : 'X\(//\)[^/]' \| \
1452 X"$as_dir" : 'X\(//\)$' \| \
1453 X"$as_dir" : 'X\(/\)' \| \
1454 . : '\(.\)' 2>/dev/null ||
1455 echo X"$as_dir" |
1456 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1457 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1458 /^X\(\/\/\)$/{ s//\1/; q; }
1459 /^X\(\/\).*/{ s//\1/; q; }
1460 s/.*/./; q'`
1461 done
1462 test ! -n "$as_dirs" || mkdir $as_dirs
1463 fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
1464 echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
1465 { (exit 1); exit 1; }; }; }
1467 # echo "creating $dirpart/$file"
1468 echo '# dummy' > "$dirpart/$file"
1469 done
1470 done
1472 esac
1473 done
1475 { (exit 0); exit 0; }